{
    "hosts": ["unix:///var/run/docker.sock", "tcp://0.0.0.0:2376"],
    "insecure-registries" : ["artifactory.rmt", "gitlab-registry.rmt"],
    "registry-mirrors": ["https://registry.rmt"],
    "log-driver": "gelf",
    "log-opts": {
      "gelf-address": "udp://graylog.rmt:1517"
    },
    "live-restore": true,
    "storage-driver": "overlay2",
{% if ansible_os_family == 'RedHat' %}
    "tlscacert": "/etc/pki/ca-trust/source/anchors/rmt.crt",
{% elif ansible_os_family == 'Debain'  %}
    "tlscacert": "/usr/local/share/ca-certificates/rmt.crt",
{% endif %}
    "tlscert": "/etc/docker/ssl/{{ inventory_hostname }}.crt",
    "tlskey": "/etc/docker/ssl/{{ inventory_hostname }}.key",
    "tlsverify": true,
    "dns": ["{{ hostvars[inventory_hostname].network.dns|join('\",\"') }}"],
    "dns-search": ["{{ hostvars[inventory_hostname].network.domain }}"]
}
